//
//  ViewController.swift
//  Hotdog-Not-Hotdog
//
//  Created by Hadia Jalil on 06/04/2019.
//  Copyright © 2019 Hadia Jalil. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UIImagePickerControllerDelegate, UINavigationControllerDelegate  {

    @IBOutlet weak var hotdogLabel: UILabel!
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var takeImageButton: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        imageView.layer.cornerRadius = 15
        takeImageButton.layer.cornerRadius = 10
    }

    override func viewWillAppear(_ animated: Bool) {
    
    }
    
    
    @IBAction func cameraPressed(_ sender: Any) {
        if UIImagePickerController.isCameraDeviceAvailable( UIImagePickerController.CameraDevice.front) {
            let imagePicker = UIImagePickerController()
            imagePicker.modalTransitionStyle = UIModalTransitionStyle.coverVertical
            imagePicker.delegate = self
            imagePicker.sourceType = UIImagePickerController.SourceType.camera
            self.present(imagePicker, animated: true, completion: nil)
        }
        else {
            print("Not available")
        }
        
    }
    
    func imagePickerController(_ picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [UIImagePickerController.InfoKey : Any]) {
        picker.dismiss(animated: true, completion: nil)
        imageView.image = info[UIImagePickerController.InfoKey.originalImage] as? UIImage
    
    }
}

